# Server Settings:
SERVER_URI=0.0.0.0
SERVER_PORT=10101
ENDPOINT_PREFIX=/
DEFAULT_LIMIT=10

# Database Setting
DB_HOST=localhost
DB_PORT=5432
DB_NAME=auth
DB_USERNAME=syahrul
DB_PASSWORD=password
DB_POOL_MIN=10
DB_POOL_MAX=100
DB_TIMEOUT=10
DB_MAX_IDLE_TIME_SECOND=60

# JWT settings:
SECRET_KEY=AaBbCcJKLMadhanirAAnNoOPqrstu23VWXYZ
SECRET_KEY_REFRESH=AaBbCcJKLMadhaniRAaPqrstu23VWXYZ
SESSION_LOGIN=24
SESSION_REFRESH_TOKEN=720

# KAFKA settings:
KAFKA_HOST=localhost
KAFKA_PORT=19092
KAFKA_TOPIC=users_auth
KAFKA_TOPIC_PROFILE=users_profile
KAFKA_TOPIC_USER=users_user
KAFKA_LOG_TOPIC=mtn_raa_kafka_logs
# KAFKA_CONSUMER_GROUP=mtn_raa_user_db
KAFKA_CONSUMER_GROUP=mtn_raa_auth_db
KAFKA_ADDRESS_FAMILY=v4
KAFKA_SESSION_TIMEOUT=6000
KAFKA_AUTO_OFFSET_RESET=latest

# REDIS settings:
REDIS_HOST=localhost
REDIS_PORT=6379

